#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: skylighting
version: 0.7.3
id: skylighting-0.7.3-5RebCSDZAnm1Cy950BWD7m
key: skylighting-0.7.3-5RebCSDZAnm1Cy950BWD7m
license: GPL-2.0-only
copyright: (C) 2016 John MacFarlane
maintainer: jgm@berkeley.edu
author: John MacFarlane
homepage: https://github.com/jgm/skylighting
synopsis: syntax highlighting library
description:
    Skylighting is a syntax highlighting library with
    support for over one hundred languages.  It derives
    its tokenizers from XML syntax definitions used
    by KDE'\''s KSyntaxHighlighting framework, so any
    syntax supported by that framework can be added.
    An optional command-line program is provided.
    Skylighting is intended to be the successor to
    highlighting-kate.
    This package provides generated syntax modules
    based on the KDE XML definitions provided by the
    @skylighting-core@ package. As a result this
    package is licensed under the GPL.
category: Text
abi: a1d64c919bf57b31b748b31921f8be88
exposed: True
exposed-modules:
    Skylighting,
    Skylighting.Core from skylighting-core-0.7.3-KdvZreooPmu6laOTvIE1Td:Skylighting.Core,
    Skylighting.Format.ANSI from skylighting-core-0.7.3-KdvZreooPmu6laOTvIE1Td:Skylighting.Format.ANSI,
    Skylighting.Format.HTML from skylighting-core-0.7.3-KdvZreooPmu6laOTvIE1Td:Skylighting.Format.HTML,
    Skylighting.Format.LaTeX from skylighting-core-0.7.3-KdvZreooPmu6laOTvIE1Td:Skylighting.Format.LaTeX,
    Skylighting.Parser from skylighting-core-0.7.3-KdvZreooPmu6laOTvIE1Td:Skylighting.Parser,
    Skylighting.Regex from skylighting-core-0.7.3-KdvZreooPmu6laOTvIE1Td:Skylighting.Regex,
    Skylighting.Styles from skylighting-core-0.7.3-KdvZreooPmu6laOTvIE1Td:Skylighting.Styles,
    Skylighting.Syntax,
    Skylighting.Tokenizer from skylighting-core-0.7.3-KdvZreooPmu6laOTvIE1Td:Skylighting.Tokenizer,
    Skylighting.Types from skylighting-core-0.7.3-KdvZreooPmu6laOTvIE1Td:Skylighting.Types
hidden-modules: Skylighting.Syntax.Abc
                Skylighting.Syntax.Actionscript Skylighting.Syntax.Ada
                Skylighting.Syntax.Agda Skylighting.Syntax.Alert
                Skylighting.Syntax.AlertIndent Skylighting.Syntax.Apache
                Skylighting.Syntax.Asn1 Skylighting.Syntax.Asp
                Skylighting.Syntax.Ats Skylighting.Syntax.Awk
                Skylighting.Syntax.Bash Skylighting.Syntax.Bibtex
                Skylighting.Syntax.Boo Skylighting.Syntax.C
                Skylighting.Syntax.Changelog Skylighting.Syntax.Clojure
                Skylighting.Syntax.Cmake Skylighting.Syntax.Coffee
                Skylighting.Syntax.Coldfusion Skylighting.Syntax.Commonlisp
                Skylighting.Syntax.Cpp Skylighting.Syntax.Cs Skylighting.Syntax.Css
                Skylighting.Syntax.Curry Skylighting.Syntax.D
                Skylighting.Syntax.Default Skylighting.Syntax.Diff
                Skylighting.Syntax.Djangotemplate Skylighting.Syntax.Dockerfile
                Skylighting.Syntax.Dot Skylighting.Syntax.Doxygen
                Skylighting.Syntax.Doxygenlua Skylighting.Syntax.Dtd
                Skylighting.Syntax.Eiffel Skylighting.Syntax.Elixir
                Skylighting.Syntax.Email Skylighting.Syntax.Erlang
                Skylighting.Syntax.Fasm Skylighting.Syntax.Fortran
                Skylighting.Syntax.Fsharp Skylighting.Syntax.Gcc
                Skylighting.Syntax.Glsl Skylighting.Syntax.Gnuassembler
                Skylighting.Syntax.Go Skylighting.Syntax.Hamlet
                Skylighting.Syntax.Haskell Skylighting.Syntax.Haxe
                Skylighting.Syntax.Html Skylighting.Syntax.Idris
                Skylighting.Syntax.Ini Skylighting.Syntax.Isocpp
                Skylighting.Syntax.Java Skylighting.Syntax.Javadoc
                Skylighting.Syntax.Javascript Skylighting.Syntax.Json
                Skylighting.Syntax.Jsp Skylighting.Syntax.Julia
                Skylighting.Syntax.Kotlin Skylighting.Syntax.Latex
                Skylighting.Syntax.Lex Skylighting.Syntax.Lilypond
                Skylighting.Syntax.LiterateCurry Skylighting.Syntax.LiterateHaskell
                Skylighting.Syntax.Llvm Skylighting.Syntax.Lua
                Skylighting.Syntax.M4 Skylighting.Syntax.Makefile
                Skylighting.Syntax.Mandoc Skylighting.Syntax.Markdown
                Skylighting.Syntax.Mathematica Skylighting.Syntax.Matlab
                Skylighting.Syntax.Maxima Skylighting.Syntax.Mediawiki
                Skylighting.Syntax.Metafont Skylighting.Syntax.Mips
                Skylighting.Syntax.Modelines Skylighting.Syntax.Modula2
                Skylighting.Syntax.Modula3 Skylighting.Syntax.Monobasic
                Skylighting.Syntax.Nasm Skylighting.Syntax.Noweb
                Skylighting.Syntax.Objectivec Skylighting.Syntax.Objectivecpp
                Skylighting.Syntax.Ocaml Skylighting.Syntax.Octave
                Skylighting.Syntax.Opencl Skylighting.Syntax.Pascal
                Skylighting.Syntax.Perl Skylighting.Syntax.Php
                Skylighting.Syntax.Pike Skylighting.Syntax.Postscript
                Skylighting.Syntax.Povray Skylighting.Syntax.Powershell
                Skylighting.Syntax.Prolog Skylighting.Syntax.Pure
                Skylighting.Syntax.Purebasic Skylighting.Syntax.Python
                Skylighting.Syntax.R Skylighting.Syntax.Relaxng
                Skylighting.Syntax.Relaxngcompact Skylighting.Syntax.Rest
                Skylighting.Syntax.Rhtml Skylighting.Syntax.Roff
                Skylighting.Syntax.Ruby Skylighting.Syntax.Rust
                Skylighting.Syntax.Scala Skylighting.Syntax.Scheme
                Skylighting.Syntax.Sci Skylighting.Syntax.Sed
                Skylighting.Syntax.Sgml Skylighting.Syntax.SqlMysql
                Skylighting.Syntax.SqlPostgresql Skylighting.Syntax.Sql
                Skylighting.Syntax.Tcl Skylighting.Syntax.Tcsh
                Skylighting.Syntax.Texinfo Skylighting.Syntax.Verilog
                Skylighting.Syntax.Vhdl Skylighting.Syntax.Xml
                Skylighting.Syntax.Xorg Skylighting.Syntax.Xslt
                Skylighting.Syntax.Xul Skylighting.Syntax.Yacc
                Skylighting.Syntax.Yaml Skylighting.Syntax.Zsh
import-dirs: /usr/lib/ghc-8.4.3/site-local/skylighting-0.7.3
library-dirs: /usr/lib/ghc-8.4.3/site-local/skylighting-0.7.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/skylighting-0.7.3
hs-libraries: HSskylighting-0.7.3-5RebCSDZAnm1Cy950BWD7m
depends:
    base-4.11.1.0 skylighting-core-0.7.3-KdvZreooPmu6laOTvIE1Td
    mtl-2.2.2 text-1.2.3.0 binary-0.8.5.1 bytestring-0.10.8.2
    directory-1.3.1.5 filepath-1.4.2
    aeson-1.4.0.0-LGp6kTtgO3W1vagljwPVLq
    case-insensitive-1.2.0.11-GjimmYhRn324HWbQThQUra
    attoparsec-0.13.2.2-66ub406fEYL5HI27KdshEC
    utf8-string-1.0.1.1-LRSjvSC6FZkKPp48Qszoj8
    hxt-9.3.1.16-Lr69hF4oLUy8lzl1tKCl5P
    safe-0.3.17-HEmZRpXGD3s2ywM3rHJ1ur
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    blaze-html-0.9.1.1-FmfwpzpXQsq7GmIv8JjDhb containers-0.5.11.0
    ansi-terminal-0.8.0.4-Ll5nsATqQAoCUSOmfm7Ux8
    colour-2.3.4-LwnsVzimEGhISHXG0rWd9S
    regex-pcre-0.94.4-4rpGue7olxL5eWtXZFv4hv
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             skylighting-core-0.7.3-KdvZreooPmu6laOTvIE1Td=6c006c4faa3c206c1bc270d4a93d43ae
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             binary-0.8.5.1=758db3c95031800de821949083b71c7f
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             directory-1.3.1.5=e563da47c8e71ee27761a9b9d172f1ec
             filepath-1.4.2=f8b35940dbf3bb5331e1c5ab9738687d
             aeson-1.4.0.0-LGp6kTtgO3W1vagljwPVLq=0bddb8c122a0181e324f08c1b045cf5c
             case-insensitive-1.2.0.11-GjimmYhRn324HWbQThQUra=bcd8ba72b672d042505b8fc55f637c88
             attoparsec-0.13.2.2-66ub406fEYL5HI27KdshEC=c6a831664a8826b2c70f720ac226f7d1
             utf8-string-1.0.1.1-LRSjvSC6FZkKPp48Qszoj8=2191a818a7f61b012f58bd96949826c6
             hxt-9.3.1.16-Lr69hF4oLUy8lzl1tKCl5P=3f5e530201813cc785a0454007206dbb
             safe-0.3.17-HEmZRpXGD3s2ywM3rHJ1ur=f24d7708a3245ecd805ff7d598d8872c
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=6373b2ec1ae2585bcca6cddbee5d3e75
             blaze-html-0.9.1.1-FmfwpzpXQsq7GmIv8JjDhb=2c2835e3735f87593e47c8a0635b0735
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             ansi-terminal-0.8.0.4-Ll5nsATqQAoCUSOmfm7Ux8=60434811d26166e1bacacf0138207cc4
             colour-2.3.4-LwnsVzimEGhISHXG0rWd9S=2d61ca7122d93a5e872724e349398ce5
             regex-pcre-0.94.4-4rpGue7olxL5eWtXZFv4hv=46fed1db062c0483740aa92917d2118b
haddock-interfaces: /usr/share/doc/haskell-skylighting/html/skylighting.haddock
haddock-html: /usr/share/doc/haskell-skylighting/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

